Fix implicit declaration of functions.
--- entities.h.orig	2001-03-21 06:55:49.000000000 -0600
+++ entities.h	2021-11-25 13:41:24.000000000 -0600
@@ -93,6 +93,7 @@
 void			xmlDumpEntitiesTable	(xmlBufferPtr buf,
 						 xmlEntitiesTablePtr table);
 xmlEntitiesTablePtr	xmlCopyEntitiesTable	(xmlEntitiesTablePtr table);
+void			xmlInitializePredefinedEntities(void);
 void			xmlCleanupPredefinedEntities(void);
 
 #ifdef __cplusplus
--- parser.h.orig	2001-03-24 18:14:16.000000000 -0600
+++ parser.h	2021-11-25 13:50:41.000000000 -0600
@@ -315,8 +315,9 @@
 
 
 /**
- * Cleanup
+ * Init/Cleanup
  */
+void		xmlInitParser		(void);
 void		xmlCleanupParser	(void);
 
 /**
@@ -345,6 +346,8 @@
 int		xmlStrncmp		(const xmlChar *str1,
 					 const xmlChar *str2,
 					 int len);
+int		xmlStrEqual		(const xmlChar *str1,
+					 const xmlChar *str2);
 int		xmlStrlen		(const xmlChar *str);
 xmlChar *	xmlStrcat		(xmlChar *cur,
 					 const xmlChar *add);
@@ -396,6 +399,20 @@
 xmlDtdPtr	xmlSAXParseDTD		(xmlSAXHandlerPtr sax,
 					 const xmlChar *ExternalID,
 					 const xmlChar *SystemID);
+int		xmlParseBalancedChunkMemory(xmlDocPtr doc,
+					 xmlSAXHandlerPtr sax,
+					 void *user_data,
+					 int depth,
+					 const xmlChar *string,
+					 xmlNodePtr *list);
+int		xmlParseExternalEntity	(xmlDocPtr doc,
+					 xmlSAXHandlerPtr sax,
+					 void *user_data,
+					 int depth,
+					 const xmlChar *URL,
+					 const xmlChar *ID,
+					 xmlNodePtr *list);
+
 /**
  * SAX initialization routines
  */
--- uri.c.orig	2001-03-21 06:53:46.000000000 -0600
+++ uri.c	2021-11-25 13:58:04.000000000 -0600
@@ -16,6 +16,7 @@
 #endif
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <string.h>
 
 /* This block was modified from 2.3.5 */
--- xpath.c.orig	2000-06-28 13:33:51.000000000 -0500
+++ xpath.c	2021-11-25 13:57:12.000000000 -0600
@@ -20,6 +20,7 @@
 #endif
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <string.h>
 
 #ifdef HAVE_SYS_TYPES_H
